package com.yeejoin.amos.boot.biz.common.bo;

import com.yeejoin.amos.feign.privilege.model.AgencyUserModel;

import java.io.Serializable;

/***
 *
 * 用户选择保存实体类
 * @author Dell
 * **/
public class ReginParams implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;
    private CompanyBo company;
    private RoleBo role;
    private DepartmentBo department;
    //用户基本信息
    private AgencyUserModel userModel;
    @Deprecated
    private String token;
    
    public CompanyBo getCompany() {
        return company;
    }

    public void setCompany(CompanyBo company) {
        this.company = company;
    }

    public RoleBo getRole() {
        return role;
    }

    public void setRole(RoleBo role) {
        this.role = role;
    }

    public DepartmentBo getDepartment() {
        return department;
    }

    public void setDepartment(DepartmentBo department) {
        this.department = department;
    }

	public AgencyUserModel getUserModel() {
		return userModel;
	}

	public void setUserModel(AgencyUserModel userModel) {
		this.userModel = userModel;
	}
    @Deprecated
	public String getToken() {
		return token;
	}
    @Deprecated
	public void setToken(String token) {
		this.token = token;
	}
}
